## liggghts 1.5

=== debian/changelog ===
liggghts (1.5-1) unstable; urgency=low

  * [9529b4b] Install a manpage.
  * [8d5c6d1] Imported Upstream version 1.5

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 02 Dec 2011 21:40:31 +0100

liggghts (1.4.6-1) unstable; urgency=low

  * Initial import. (Closes: #647235)

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 04 Nov 2011 20:43:49 +0100
