=== debian/changelog ===
liggghts (1.5.1-5) unstable; urgency=low

  * [d7df2ea] Fix typo in archs.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 10 Mar 2012 10:10:18 +0100

liggghts (1.5.1-4) unstable; urgency=low

  * [0915b9e] Disable auto-test on arm and armhf, the test hangs.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 06 Mar 2012 20:45:00 +0100

liggghts (1.5.1-3) unstable; urgency=low

  * [10595af] Do not break package building, if the autotest failed.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 04 Mar 2012 09:44:07 +0100

liggghts (1.5.1-2) unstable; urgency=low

  * [65d77e5] Update copyright-format file due to DEP-5 release.
  * [8fc58b6] Add auto-tests.
  * [0955950] Use Standards-Version: 3.9.3. No changes.
  * [43fb8bf] Use compilation flags proposed by build environment 
              instead of hardcoded.
  * [6ed3623] Fix FTBFS "format not a string literal and no format arg".
  * [9d602d4] Enable JPEG. Seems FFTW hurts the productivity.
  * [df4535f] Use dh compat 9.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 03 Mar 2012 07:36:10 +0100

liggghts (1.5.1-1) unstable; urgency=low

  * [7e46270] Imported Upstream version 1.5.1
  * [b2f3ee0] Use --parallel option for faster builds.
  * [bdc9cba] Add name of interpretator into headers of some executable 
              example scripts.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 03 Feb 2012 22:33:06 +0100
