=== debian/control ===
Source: liggghts
Section: science
Priority: extra
Build-Depends: debhelper (>= 9), mpi-default-bin, mpi-default-dev, 
 libjpeg-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladky.anton@gmail.com>
DM-Upload-Allowed: yes
Homepage: http://www.liggghts.com/
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/debian-science/packages/liggghts.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/liggghts.git

Package: liggghts
Architecture: any
Depends:  mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}
Recommends: paraview
Description: Open Source DEM Particle Simulation Software.
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.
