=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot

disable_auto_test_archs = armel armhf

override_dh_auto_clean:
	cd src; make clean-all
	dh_clean

override_dh_auto_build:
	cd src; make fedora
	mv src/lmp_fedora src/liggghts

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs)))
	mkdir test
	cp -r examples/LIGGGHTS/chute_wear/* test/
	cd test; ./../src/liggghts < in.chute_wear || true
	rm -rf test
	mkdir test
	cp -r examples/LIGGGHTS/chute_wear/* test/
	cd test; mpirun -np 2 ./../src/liggghts < in.chute_wear || true
	rm -rf test
endif
