=== debian/changelog ===
liggghts (1.5.2-3) unstable; urgency=low

  * [b5f1247] Fix wrong defined archs for auto_tests.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 15 Mar 2012 21:31:29 +0100

liggghts (1.5.2-2) unstable; urgency=low

  * [e5a0fb3] Disable mpirun-test on some platforms, where it crashes.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 15 Mar 2012 20:05:37 +0100

liggghts (1.5.2-1) unstable; urgency=low

  * [5b3ec1c] Imported Upstream version 1.5.2
  * [cfb6bac] Do not start mpirun-autotests on mips* archs.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 14 Mar 2012 20:41:52 +0100
