## liggghts 1.5.3

=== debian/changelog ===
liggghts (1.5.3-1) unstable; urgency=low

  * [fb49bd6] Imported Upstream version 1.5.3
  * [cbfc470] Fix FTBFS due to gcc-4.7 (missing header).

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 23 May 2012 22:44:20 +0200
