## liggghts 2.3.2

=== debian/changelog ===
liggghts (2.3.2-1) unstable; urgency=low

  * [adf4c2b] Imported Upstream version 2.3.2
  * [8fe04ee] Use cmake for building.
  * [e34c201] Split the package into libliggghts2, liggghts-doc, liggghts2-dbg.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 22:47:51 +0200
