=== debian/control ===
Source: liggghts
Section: science
Priority: extra
Build-Depends: debhelper (>= 9), mpi-default-bin, mpi-default-dev, 
 libjpeg-dev, cmake, libboost-mpi-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Homepage: http://www.liggghts.com/
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/debian-science/packages/liggghts.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/liggghts.git

Package: liggghts
Architecture: any
Multi-Arch: foreign
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}, 
 libliggghts2 (>= ${source:Version})
Recommends: paraview
Description: Open Source DEM Particle Simulation Software.
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.

Package: libliggghts2
Architecture: any
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Open Source DEM Particle Simulation Software. Shared library
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains shared library.

Package: libliggghts-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}, 
 libliggghts2 (= ${binary:Version})
Description: Open Source DEM Particle Simulation Software. Development files
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains development files.

Package: liggghts-doc
Architecture: all
Section: doc
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}
Recommends: liggghts
Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains documentation and examples.

Package: libliggghts2-dbg
Architecture: any
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}, 
 liggghts (= ${binary:Version})
Description: Open Source DEM Particle Simulation Software. Debugging symbols
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains debugging symbols.
