## liggghts 2.3.6

=== debian/changelog ===
liggghts (2.3.6-1) unstable; urgency=low

  * [e358878] Add debian/watch.
  * [28595e2] Imported Upstream version 2.3.6
  * [a43057c] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Jul 2013 16:55:39 +0200
