=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # LAMMPS multiple-machine Makefile
 
-SHELL = /bin/sh
+SHELL = /bin/bash
 #.IGNORE:
 
 # Definitions
@@ -13,19 +13,22 @@
 
 # Package variables
 
-PACKAGE = asphere class2 colloid dipole dsmc gpu granular \
-	  kspace manybody meam molecule opt peri poems prd reax xtc
-
-PACKUSER = user-ackland user-atc user-cd-eam user-cg-cmm user-ewaldn \
-	   user-imd user-smd
+PACKAGE = asphere class2 colloid dipole fld gpu granular kim \
+	  kspace manybody mc meam molecule opt peri poems reax replica \
+	  shock srd xtc
+
+PACKUSER = user-misc user-atc user-awpmd user-cg-cmm \
+	   user-cuda user-eff user-ewaldn user-omp user-reaxc user-sph
+
+PACKLIB = gpu kim meam poems reax user-atc user-awpmd user-cuda
 
 PACKALL = $(PACKAGE) $(PACKUSER)
 
-PACKAGEUC = $(shell perl -e 'printf("%s", uc("$(PACKAGE)"));')
-PACKUSERUC = $(shell perl -e 'printf("%s", uc("$(PACKUSER)"));')
-
-YESDIR = $(shell perl -e 'printf("%s", uc("$(@:yes-%=%)"));')
-NODIR  = $(shell perl -e 'printf("%s", uc("$(@:no-%=%)"));')
+PACKAGEUC = $(shell echo $(PACKAGE) | tr a-z A-Z)
+PACKUSERUC = $(shell echo $(PACKUSER) | tr a-z A-Z)
+
+YESDIR = $(shell echo $(@:yes-%=%) | tr a-z A-Z)
+NODIR  = $(shell echo $(@:no-%=%) | tr a-z A-Z)
 
 # List of all targets
 
@@ -47,9 +50,11 @@
 	@echo 'make no-standard         remove all standard packages'
 	@echo 'make yes-user            install all user packages'
 	@echo 'make no-user             remove all user packages'
+	@echo 'make no-lib              remove all packages with external libs'
 	@echo ''
 	@echo 'make package-update      replace src files with package files'
 	@echo 'make package-overwrite   replace package files with src files'
+	@echo 'make package-diff        diff src files against package files'
 	@echo ''
 	@echo 'make machine             build LAMMPS where machine is one of:'
 	@echo ''
@@ -62,12 +67,17 @@
 .DEFAULT:
 	@test -f MAKE/Makefile.$@
 	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
-	@/bin/sh Make.sh style
+	@$(SHELL) Make.sh style
 	@cp -p *.cpp *.h Obj_$@
 	@cp MAKE/Makefile.$@ Obj_$@/Makefile
-	@cp Makefile.package Obj_$@
+	@if [ ! -e Makefile.package ]; \
+	  then cp Makefile.package.empty Makefile.package; fi
+	@if [ ! -e Makefile.package.settings ]; \
+	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
+	@cp Makefile.package Makefile.package.settings Obj_$@
 	@cd Obj_$@; \
-	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "EXE = ../$(EXE)" ../$(EXE)
+	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" \
+	  "EXE = ../$(EXE)" ../$(EXE)
 	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi
 
 # Remove machine-specific object files
@@ -93,15 +103,20 @@
 	@cd STUBS; make
 	@echo "Created $(ROOT)_src.tar.gz"
 
+# Make MPI STUBS lib
+
+stubs:
+	@cd STUBS; make clean; make
+
 # Update Makefile.lib and Makefile.list
 
 makelib:
-	@/bin/sh Make.sh style
-	@/bin/sh Make.sh Makefile.lib
+	@$(SHELL) Make.sh style
+	@$(SHELL) Make.sh Makefile.lib
 
 makelist:
-	@/bin/sh Make.sh style
-	@/bin/sh Make.sh Makefile.list
+	@$(SHELL) Make.sh style
+	@$(SHELL) Make.sh Makefile.list
 
 # Package management
 
@@ -120,9 +135,11 @@
 	@echo 'make no-standard         remove all standard packages'
 	@echo 'make yes-user            install all user packages'
 	@echo 'make no-user             remove all user packages'
+	@echo 'make no-lib              remove all packages with external libs'
 	@echo ''
 	@echo 'make package-update      replace src files with package files'
 	@echo 'make package-overwrite   replace package files with src files'
+	@echo 'make package-diff        diff src files against package file'
 
 yes-all:
 	@for p in $(PACKALL); do $(MAKE) yes-$$p; done
@@ -142,37 +159,50 @@
 no-user:
 	@for p in $(PACKUSER); do $(MAKE) no-$$p; done
 
+no-lib:
+	@for p in $(PACKLIB); do $(MAKE) no-$$p; done
+
 yes-%:
+	@if [ ! -e Makefile.package ]; \
+	  then cp Makefile.package.empty Makefile.package; fi
+	@if [ ! -e Makefile.package.settings ]; \
+	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
 	@if [ ! -e $(YESDIR) ]; then \
 	  echo "Package $(@:yes-%=%) does not exist"; \
 	else \
 	  echo "Installing package $(@:yes-%=%)"; \
-	  cd $(YESDIR); /bin/sh Install.sh 1; \
+	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; $(SHELL) Depend.sh 1; \
 	fi;
 
 no-%:
 	@if [ ! -e $(NODIR) ]; then \
 	  echo "Package $(@:no-%=%) does not exist"; \
 	else \
-	  echo "Uninstalling package $(@:no-%=%), ignore errors"; \
-	  cd $(NODIR); /bin/sh Install.sh 0; cd ..; \
+	  echo "Uninstalling package $(@:no-%=%)"; \
+	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; $(SHELL) Depend.sh 0; \
         fi;
 
-# status = list differences between src and package files
+# status = list src files that differ from package files
 # update = replace src files with newer package files
 # overwrite = overwrite package files with newer src files
+# diff = show differences between src and package files
 
 package-status:
-	@for p in $(PACKAGEUC); do /bin/sh Package.sh $$p status; done
-	@echo ''
-	@for p in $(PACKUSERUC); do /bin/sh Package.sh $$p status; done
+	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p status; done
+	@echo ''
+	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p status; done
 
 package-update:
-	@for p in $(PACKAGEUC); do /bin/sh Package.sh $$p update; done
-	@echo ''
-	@for p in $(PACKUSERUC); do /bin/sh Package.sh $$p update; done
+	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p update; done
+	@echo ''
+	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p update; done
 
 package-overwrite:
-	@for p in $(PACKAGEUC); do /bin/sh Package.sh $$p overwrite; done
-	@echo ''
-	@for p in $(PACKUSERUC); do /bin/sh Package.sh $$p overwrite; done
+	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p overwrite; done
+	@echo ''
+	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p overwrite; done
+
+package-diff:
+	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p diff; done
+	@echo ''
+	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p diff; done
