=== lib/cuda/Makefile ===
#Makefile for liblammpscuda.a 
#No need to modify anything here! The CUDA path is inserted into Makefile.common

include Makefile.cudalib
