=== debian/changelog ===
liggghts (2.3.8-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 00:07:01 -0500

liggghts (2.3.8-1) unstable; urgency=low

  * [c18713f] Imported Upstream version 2.3.8
  * [8433776] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Nov 2013 20:25:20 +0100
