=== debian/changelog ===
liggghts (3.0.0+repack-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Anton Gladky <gladk@debian.org>  Thu, 10 Apr 2014 08:22:43 +0200

liggghts (3.0.0+repack-1) unstable; urgency=medium

  * [96c3d6e] Imported Upstream version 3.0.0+repack
  * [8bc06d5] Remove lib/ and src/USER-MISC. (Closes: #742026)

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Mar 2014 20:47:28 +0100

liggghts (3.0.0-1) unstable; urgency=medium

  * [76193e3] Imported Upstream version 3.0.0

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Mar 2014 22:23:50 +0100
