=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  Anton Gladky <gladk@debian.org>
 Homepage: http://www.liggghts.com/
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/debian-science/packages/liggghts.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/liggghts.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/liggghts.git
 
 Package: libliggghts-dev
 Architecture: any
@@ -23,7 +23,7 @@
  ${misc:Pre-Depends}
 Multi-Arch: same
 Depends:
- libliggghts2 (= ${binary:Version}),
+ libliggghts3 (= ${binary:Version}),
  mpi-default-bin,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -40,7 +40,7 @@
  .
  The package contains development files.
 
-Package: libliggghts2
+Package: libliggghts3
 Architecture: any
 Depends:
  mpi-default-bin,
@@ -62,7 +62,7 @@
  .
  The package contains shared library.
 
-Package: libliggghts2-dbg
+Package: libliggghts3-dbg
 Architecture: any
 Section: debug
 Pre-Depends:
@@ -90,7 +90,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
- libliggghts2 (>= ${source:Version}),
+ libliggghts3 (>= ${source:Version}),
  mpi-default-bin,
  ${misc:Depends},
  ${shlibs:Depends}
