=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,5 @@
 endif
 
 override_dh_strip:
-	dh_strip --dbg-package=libliggghts2-dbg
+	dh_strip --dbg-package=libliggghts3-dbg
